﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JSMerge {
	
	public class ProjectSettings {

		private bool? m_StripComments = null;
		private bool? m_StripReferences = null;
		private bool? m_NewLine = null;
		private bool m_StripBlankLines = true;
		private bool m_ProcessRemoveTags = true;

		#region " Properties "

		/// <summary>
		/// Indicates all code comments should be stripped from this file.
		/// </summary>
		public bool? StripComments {
			get { return m_StripComments; }
			set { m_StripComments = value; }
		}

		/// <summary>
		/// Indicates VS2012 reference tags should be stripped from this file.
		/// </summary>
		public bool? StripReferences {
			get { return m_StripReferences; }
			set { m_StripReferences = value; }
		}

		/// <summary>
		/// Indicates whether blank lines should be skipped when merging.
		/// </summary>
		public bool StripBlankLines {
			get { return m_StripBlankLines; }
			set { m_StripBlankLines = value; }
		}

		/// <summary>
		/// Indicates a new-line should be added after a file is inserted.
		/// </summary>
		public bool? NewLine {
			get { return m_NewLine; }
			set { m_NewLine = value; }
		}

		/// <summary>
		/// If lines utilize a "remove" attribute, that line should be ignored from the output.
		/// </summary>
		public bool ProcessRemoveTags {
			get { return m_ProcessRemoveTags; }
			set { m_ProcessRemoveTags = value; }
		}

		#endregion

		#region " Constructor(s) "

		public ProjectSettings() { }

		#endregion

		#region " Methods "

		#endregion

	}

}
